summaryrefslogtreecommitdiff
path: root/traintess.sh
diff options
context:
space:
mode:
Diffstat (limited to 'traintess.sh')
-rwxr-xr-xtraintess.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/traintess.sh b/traintess.sh
index e94ca9d..0841899 100755
--- a/traintess.sh
+++ b/traintess.sh
@@ -16,6 +16,7 @@ iterations=100000
oldtraining="$3"
name="$4"
+here=`dirname "$0"`
mkdir -p "$name"
@@ -52,7 +53,7 @@ find "$name/gt" "$name/eval" -type f -name '*txt' | while read i; do
test -f "$d/$b.png" && n="$b.png"
test -z "$n" && echo "Skipping $i as no corresponding image found" && continue
test -f "$d/$b.box" && echo "Skipping $i as box file already present" && continue
- python ~/bigboy/othertools/generate_line_box.py -i "$d/$n" -t "$i" > "$d/$b.box" || exit 1
+ python "${here}/generate_line_box.py" -i "$d/$n" -t "$i" > "$d/$b.box" || exit 1
done
echo "Making unicharset"